Packing Error with Plugin

I’m having some trouble packing a project that uses the plugin UE4_Duino_4, available here:
UE4Duino - Arduino to UE4 plugin Release! - Programming & Scripting - Unreal Engine Forums!

I’m running into some errors when packing, likely caused by the plugin, but I have no idea how to fix it. I’ve followed the available answers about switching versions, making a c++ project, etc. but get the error listed in “Error_Log.txt”.

I tried making a new project in 4.13, and disabling the plugin and taking out all instances of it, but I’m running into a seperate error, listed in “Error_Log_2.txt”.

I’ve been working at it for hours, and have turned up with nothing. I’d really appreciate some additional insight into this.

Thank you!

Hi wpb4,

The first log you posted has only one notable error:** fatal error LNK1181: cannot open input file ‘C:\Program Files (x86)\Epic Games\4.10\Engine\Plugins\UE4Duino\Binaries\Win64\UE4-UE4Duino-Win64-Shipping.lib’**

Have you tried reinstalling the plugin? It looks like a file has been corrupted (maybe).


Regarding your second log it is filled with compiler errors from various blueprints. This was a result of you removing the plugin while still having assets referencing the plugin. You can see this in the log where assets cannot find files for /Script/UE4Duino Here is a list of a few errors that have stemmed from this:

  • /Game/Final_Project_BP/Blueprints/FirstPersonHUD.FirstPersonHUD
  • LogBlueprint:Error: [Compiler PersistentLevel.FirstPersonExampleMap_2] Error Could not find a function named “CloseSerial” in ‘FirstPersonExampleMap_2’.

Check your level “FirstPersonExampleMap_2” since it has compiler errors (maybe in level Blueprint) and also check your asset “FirstPersonHUD.FirstPersonHUD”

Let me know if that helps,

Ed Burgess